This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 382281 - logo.png missing from flying high rpm or FedoraFlyingHigh.xml error
logo.png missing from flying high rpm or FedoraFlyingHigh.xml error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-logos (Show other bugs)
8
noarch Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 07:09 EST by Haydn
Modified: 2013-03-05 22:53 EST (History)
2 users (show)

See Also:
Fixed In Version: 8.0.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 19:40:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Haydn 2007-11-14 07:09:44 EST
Description of problem:

In Fedora 8, the fedoraflyinghigh-gdm-theme rpm is missing
/usr/share/gdm/themes/FedoraFlyingHigh/logo.png. Trying to use this gdm theme
results in an error message stating logo.png is missing and loads an alternate
theme.


Version-Release number of selected component (if applicable):

# yum list |grep fedoraflyinghigh-gdm
fedoraflyinghigh-gdm-theme.noarch        1.0.0-1.fc8            fedora


How reproducible:

Always


Steps to Reproduce:
1. Check that fedoraflyinghigh-gdm-theme is not installed
    # yum list |grep fedoraflyinghigh-gdm

2. Check the flying high path theme does not exist:
    #  ls /usr/share/gdm/themes/FedoraFlyingHigh

3. Install the flying high rpm:
    # yum install fedoraflyinghigh-gdm-theme

4. Check that logo.png does not exist
    #  ls /usr/share/gdm/themes/FedoraFlyingHigh/logo.png

5. Logout and gdm will err: missing logo.png
  

Actual results:

Error - failed to find logo.png and use of alternate gdm theme
 

Expected results:

Successful loading of the Flying High gdm theme.


Additional info:

The logo.png file is not listed in the rpm contents either:

http://koji.fedoraproject.org/koji/rpminfo?rpmID=231792

This is caused either by:

  - Missing logo.png from fedoraflyinghigh-gdm-theme 1.0.0-1.fc8 package
  - Incorrect file (logo.png) listed in FedoraFlyingHigh.xml
Comment 1 Ray Strode [halfline] 2007-11-14 10:06:34 EST
We can't ship the logo in fedoraflyinghigh-gdm-theme unfortunately for trademark
reasons.  It was missing from the fedora-logos package, I've added it to
fedora-logos-8.0.3-1.fc8 in -updates-testing.

Would you mind trying it when it lands?
Comment 2 Haydn 2007-11-14 10:12:52 EST
Sure, post here or e-mail me and I'll test.
Comment 3 Fedora Update System 2007-11-14 22:46:32 EST
fedora-logos-8.0.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-logos'
Comment 4 Haydn 2007-11-15 06:18:09 EST
Confirmed fixed by fedora-logos-8.0.3-1.fc8.
Comment 5 Fedora Update System 2007-11-15 19:40:47 EST
fedora-logos-8.0.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Yan Tian 2007-12-28 03:43:45 EST
Verified fedora-logos-8.0.3-1.fc8 installed
/usr/share/gdm/themes/FedoraFlyingHigh/logo.png file.

Note You need to log in before you can comment on or make changes to this bug.